Hacerse socio
En este fragmento de código aprenderás a obtener un Miembro.
Ejemplo
Asegúrese de que las siguientes variables se ajustan a los valores requeridos utilizando cualquier método conveniente:
| Clave | Descripción |
|---|---|
CONVERSATION_ID | The ID of the Conversation. |
MEMBER_ID | The unique ID of the Member. |
Requisitos previos
You will need to use an existing Application that contains a Conversation and at least one Member in order to be able to get a Member. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
Escriba el código
Añada lo siguiente a get-member.sh:
curl "https://api.nexmo.com/v1/conversations/$CONV_ID/members/$CONV_MEMBER_ID" \
-H 'Authorization: Bearer '$JWT\
-H 'Content-Type: application/json'Ejecute su código
Guarde este archivo en su máquina y ejecútelo:
Requisitos previos
You will need to use an existing Application that contains a Conversation and at least one Member in order to be able to get a Member. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
npm install @vonage/server-sdkCrea un archivo llamado get-member.js y añade el siguiente código:
const { Vonage } = require('@vonage/server-sdk');
const vonage = new Vonage({
applicationId: VONAGE_APPLICATION_ID,
privateKey: VONAGE_PRIVATE_KEY,
});Escriba el código
Añada lo siguiente a get-member.js:
vonage.conversations.getMember(CONV_ID, CONV_MEMBER_ID)
.then((member) => console.log(member))
.catch((error) => console.log(error));Ejecute su código
Guarde este archivo en su máquina y ejecútelo:
Requisitos previos
You will need to use an existing Application that contains a Conversation and at least one Member in order to be able to get a Member. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
Añada lo siguiente a build.gradle:
implementation 'com.vonage:server-sdk:9.3.1'Crea un archivo llamado GetMember y añade el siguiente código al método main:
VonageClient client = VonageClient.builder()
.applicationId(VONAGE_APPLICATION_ID)
.privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
.build();Escriba el código
Añada lo siguiente al método main del archivo GetMember:
var member = client.getConversationsClient().getMember(CONV_ID, CONV_MEMBER_ID);
System.out.println(member);Ejecute su código
Podemos utilizar el plugin aplicación para Gradle para simplificar la ejecución de nuestra aplicación. Actualiza tu build.gradle con lo siguiente:
apply plugin: 'application'
mainClassName = project.hasProperty('main') ? project.getProperty('main') : ''Ejecute el siguiente comando gradle para ejecutar su aplicación, sustituyendo com.vonage.quickstart.conversation por el paquete que contiene GetMember:
Requisitos previos
You will need to use an existing Application that contains a Conversation and at least one Member in order to be able to get a Member. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
Install-Package VonageCrea un archivo llamado GetMember.cs y añade el siguiente código:
using System;
using System.Threading.Tasks;
using Newtonsoft.Json;
using Vonage;
using Vonage.Conversations.GetMember;
using Vonage.Request;Añada lo siguiente a GetMember.cs:
var credentials = Credentials.FromAppIdAndPrivateKeyPath(VONAGE_APPLICATION_ID, VONAGE_PRIVATE_KEY_PATH);
var client = new VonageClient(credentials);Escriba el código
Añada lo siguiente a GetMember.cs:
var response = await client.ConversationsClient.GetMemberAsync(GetMemberRequest.Parse(CONV_ID, CONV_MEMBER_ID));Requisitos previos
You will need to use an existing Application that contains a Conversation and at least one Member in order to be able to get a Member. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
composer require vonage/clientCrea un archivo llamado get-member.php y añade el siguiente código:
use Vonage\Conversation\ConversationObjects\CreateConversationRequest;
use Vonage\Conversation\ConversationObjects\UpdateConversationRequest;
require_once __DIR__ . '../../config.php';
require_once __DIR__ . '../../vendor/autoload.php';
$keypair = new \Vonage\Client\Credentials\Keypair(
file_get_contents(VONAGE_APPLICATION_PRIVATE_KEY_PATH),
VONAGE_APPLICATION_ID
);
$client = new \Vonage\Client($keypair);Escriba el código
Añada lo siguiente a get-member.php:
$client->conversation()->getMemberByConversationId(MEMBER_ID, CONVERSATION_ID);Ejecute su código
Guarde este archivo en su máquina y ejecútelo:
Pruébalo
Cuando ejecute el código obtendrá el Miembro especificado.